/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_GESTIONNAIRE_IMAGE
#define DEF_GESTIONNAIRE_IMAGE

#include <SFML/Graphics.hpp>
#include <vector>
#include <string>

class GestionnaireImage
{
	public:
		static GestionnaireImage *recupereInstance();
		sf::Image *recupereImage(std::string pCheminImage);
	
	private:
		GestionnaireImage();
		~GestionnaireImage();
		GestionnaireImage(const GestionnaireImage&);
		void operator= (const GestionnaireImage&);
		
		void chargeImage(std::string pCheminImage);
		int rechercheImage(std::string pCheminImage);
		
		
		std::vector<sf::Image*> listeImages;
		std::vector<std::string> listeNomsImages;
		static GestionnaireImage *objetSingleton;
};
#endif
